grk::SequentialPtrCache< T > Class Template Reference

`#include <SequentialCache.h>`

## Public Member Functions

| SequentialPtrCache (void)
| SequentialPtrCache (uint64_t maxChunkSize)
virtual | ~SequentialPtrCache (void)
void | rewind (void)
T * | get ()

## Protected Member Functions

virtual T * | create (void)

## Private Attributes

std::vector< T ** > | chunks
T ** | currChunk_
uint64_t | chunkSize_
uint64_t | index_

## Static Private Attributes

static constexpr uint64_t | kSequentialChunkSize = 1024

## Constructor & Destructor Documentation

## SequentialPtrCache() [1/2]

template<typename T >

grk::SequentialPtrCache< T >::SequentialPtrCache | ( | void |  | ) |

inline

## SequentialPtrCache() [2/2]

template<typename T >

grk::SequentialPtrCache< T >::SequentialPtrCache | ( | uint64_t | maxChunkSize | ) |

inline

## ~SequentialPtrCache()

template<typename T >

virtual grk::SequentialPtrCache< T >::~SequentialPtrCache | ( | void |  | ) |

inline virtual

References grk::SequentialPtrCache< T >::chunks, grk::SequentialPtrCache< T >::chunkSize_, and grk::grk_read().

## Member Function Documentation

## create()

template<typename T >

virtual T * grk::SequentialPtrCache< T >::create | ( | void |  | ) |

inline protected virtual

References grk::grk_read().

Referenced by grk::SequentialPtrCache< T >::get().

## get()

template<typename T >

T * grk::SequentialPtrCache< T >::get | ( |  | ) |

inline

References grk::SequentialPtrCache< T >::chunks, grk::SequentialPtrCache< T >::chunkSize_, grk::SequentialPtrCache< T >::create(), grk::SequentialPtrCache< T >::currChunk_, grk::grk_read(), and grk::SequentialPtrCache< T >::index_.

## rewind()

template<typename T >

void grk::SequentialPtrCache< T >::rewind | ( | void |  | ) |

inline

References grk::SequentialPtrCache< T >::chunks, grk::SequentialPtrCache< T >::currChunk_, and grk::SequentialPtrCache< T >::index_.

## Member Data Documentation

## chunks

template<typename T >

std::vector<T**> grk::SequentialPtrCache< T >::chunks

private

Referenced by grk::SequentialPtrCache< T >::get(), grk::SequentialPtrCache< T >::rewind(), and grk::SequentialPtrCache< T >::~SequentialPtrCache().

## chunkSize_

template<typename T >

uint64_t grk::SequentialPtrCache< T >::chunkSize_

private

Referenced by grk::SequentialPtrCache< T >::get(), and grk::SequentialPtrCache< T >::~SequentialPtrCache().

## currChunk_

template<typename T >

T** grk::SequentialPtrCache< T >::currChunk_

private

Referenced by grk::SequentialPtrCache< T >::get(), and grk::SequentialPtrCache< T >::rewind().

## index_

template<typename T >

uint64_t grk::SequentialPtrCache< T >::index_

private

Referenced by grk::SequentialPtrCache< T >::get(), and grk::SequentialPtrCache< T >::rewind().

## kSequentialChunkSize

template<typename T >

constexpr uint64_t grk::SequentialPtrCache< T >::kSequentialChunkSize = 1024

static constexpr private

The documentation for this class was generated from the following file:

- SequentialCache.h